<!DOCTYPE HTML SYSTEM>
<!-- Generated by Lisaac shorter / html style -->
<html>
<head>
<title>
Lisaac prototype interface
</title>
</head>
<body BGCOLOR="#FFFFFF">

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Header</font></strong>

  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">name</font></strong> := <a href="AVL_DICTIONARY_NODE.html"><font color="#008000">AVL_DICTIONARY_NODE</font></a>[<font color="#008000">V</font>,<font color="#008000">K</font>];
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">comment</font></strong> := <font color="#BC8F8F">"Auxiliary class to implement AVL_DICTIONARY."</font>;
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Inherit</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">parent_avl_tree_node</font></strong>:<strong><font color="#A020F0">Expanded</font></strong> <a href="AVL_TREE_NODE.html"><font color="#008000">AVL_TREE_NODE</font></a>[<font color="#008000">K</font>];
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">parent_any_avl_dictionary_node</font></strong>:<a href="ANY_AVL_DICTIONARY_NODE.html"><font color="#008000">ANY_AVL_DICTIONARY_NODE</font></a> := 
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">key</font></strong>:<font color="#008000">K</font> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_key</font></strong> i:<font color="#008000">K</font> <- 
  
<br><br><strong><font color="#A020F0">Section</font></strong> <a href="AVL_DICTIONARY.html"><font color="#008000">AVL_DICTIONARY</font></a>, <a href="AVL_DICTIONARY_NODE.html"><font color="#008000">AVL_DICTIONARY_NODE</font></a>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">value</font></strong>:<font color="#008000">V</font>;

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_value</font></strong> v:<font color="#008000">V</font> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">fast_at</font></strong> k:<font color="#008000">K</font> :<a href="AVL_DICTIONARY_NODE.html"><font color="#008000">AVL_DICTIONARY_NODE</font></a>[<font color="#008000">V</font>, <font color="#008000">K</font>] <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Is element `e' in the tree?</font></strong></em>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">occurrences</font></strong> v:<font color="#008000">V</font> :<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">fast_occurrences</font></strong> v:<font color="#008000">V</font> :<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">key_at</font></strong> v:<font color="#008000">V</font> :<font color="#008000">K</font> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">fast_key_at</font></strong> v:<font color="#008000">V</font> :<font color="#008000">K</font> <-
  	
<br><br><strong><font color="#A020F0">Section</font></strong> <a href="AVL_DICTIONARY_NODE.html"><font color="#008000">AVL_DICTIONARY_NODE</font></a>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">occurrences</font></strong> v:<font color="#008000">V</font> <strong><font color="#0000FF">start</font></strong> cnt:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> :<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">fast_occurrences</font></strong> v:<font color="#008000">V</font> <strong><font color="#0000FF">start</font></strong> cnt:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> :<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
  
<br><br><strong><font color="#A020F0">Section</font></strong> <a href="AVL_DICTIONARY.html"><font color="#008000">AVL_DICTIONARY</font></a>

  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Creation:</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">create</font></strong> (v:<font color="#008000">V</font>,k:<font color="#008000">K</font>) :<font color="#008000">SELF</font> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">make</font></strong> (v:<font color="#008000">V</font>,k:<font color="#008000">K</font>) <-
 
</body>
</html>
 